# $Revision: 1.16 $, $Date: 2006/08/22 15:18:08 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	LocalDelivery
Summary:	Email::LocalDelivery - deliver a piece of email - simply
Summary(pl):	Email::LocalDelivery - po prostu dostarczanie poczty
Name:		perl-Email-LocalDelivery
Version:	0.21
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	687fcefdf7684b481d1401a04e32e375
URL:		http://search.cpan.org/dist/Email-LocalDelivery/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
# the issue of different interpretation of version numbers between perl
# and rpm comes back again...  Here should be ">= 0.11", but the newest
# perl-Email-Foldertype is 0.5.
BuildRequires:	perl-Email-FolderType
BuildRequires:	perl-Email-Simple >= 1:1.4
BuildRequires:	perl-File-Path-Expand
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the second module produced by the "Perl Email Project", a
reaction against the complexity and increasing bugginess of the
Mail::* modules. It delivers an email to a list of mailboxes.

%description -l pl
To jest drugi modu wyprodukowany przez "Perl Email Project", bdcy
reakcj na zoono i rosncy wspczynnik zapluskwienia moduw
Mail::*. Modu dostarcza poczt do listy skrzynek.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-LocalDelivery.spec,v $
Revision 1.16  2006/08/22 15:18:08  glen
- rel 1, generic url

Revision 1.15  2006/08/10 20:42:30  agaran
- up to 0.21 rel 0.1 builds here

Revision 1.14  2005/01/03 18:25:48  adamg
- updated to 0.09

Revision 1.13  2004/12/09 11:57:19  radek
- added epoch to BR: perl-Email-Simple >= version

Revision 1.12  2004/11/03 22:30:20  paladine
- formatting

Revision 1.11  2004/05/30 08:42:00  adamg
- updated to 0.08

Revision 1.10  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/20 10:19:49  ankry
- new bconds

Revision 1.8  2004/04/20 07:35:45  ankry
- license fixes and unification

Revision 1.7  2004/04/14 14:57:03  ankry
- cosmetics

Revision 1.6  2003/11/23 13:16:40  radek
- version 0.07

Revision 1.5  2003/09/15 09:42:27  adamg
- updated to 0.05

Revision 1.4  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.3  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.2  2003/07/31 21:10:46  qboosh
- pl

Revision 1.1  2003/07/25 19:22:52  radek
- new
